| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
Conversation Class Reference
Inheritance diagram for Conversation:

## Public Member Functions
| __construct ($mode, $preview)
| get_mode ()
| is_writable ()
| is_commentable ()
| is_preview ()
| get_profile_owner ()
| set_profile_owner ($uid)
| get_observer ()
| add_thread ($item)
| get_template_data ($alike, $dlike)
Public Member Functions inherited from BaseObject
| get_app ()

## Private Member Functions
| set_mode ($mode)
| get_thread ($id)

## Private Attributes
| $threads = array()
| $mode = null
| $observer = null
| $writable = false
| $commentable = false
| $profile_owner = 0
| $preview = false

## Additional Inherited Members
Static Public Member Functions inherited from BaseObject
static | set_app ($app)

## Detailed Description

A list of threads

## Constructor & Destructor Documentation

Conversation::__construct | ( |  | $mode,
|  |  | $preview
| ) |  |

## Member Function Documentation

Conversation::add_thread | ( |  | $item | ) |

Add a thread to the conversation

Returns: _ The inserted item on success _ false on failure

Conversation::get_mode | ( |  | ) |

Get mode

Referenced by set_mode(), and set_profile_owner().

Conversation::get_observer | ( |  | ) |

Conversation::get_profile_owner | ( |  | ) |

Get profile owner

Conversation::get_template_data | ( |  | $alike,
|  |  | $dlike
| ) |  |

Get data in a form usable by a conversation template

We should find a way to avoid using those arguments (at least most of them)

Returns: _ The data requested on success _ false on failure

Conversation::get_thread | ( |  | $id | ) |
| private

Get a thread based on its item id

Returns: _ The found item on success _ false on failure

Referenced by add_thread().

Conversation::is_commentable | ( |  | ) |

Conversation::is_preview | ( |  | ) |

Check if page is a preview

Conversation::is_writable | ( |  | ) |

Check if page is writable

Conversation::set_mode | ( |  | $mode | ) |
| private

Set the mode we'll be displayed on

Referenced by __construct(), and set_profile_owner().

Conversation::set_profile_owner | ( |  | $uid | ) |

## Member Data Documentation

Conversation::$commentable = false
| private

Referenced by is_commentable().

Conversation::$mode = null
| private

Referenced by __construct(), get_mode(), set_mode(), and set_profile_owner().

Conversation::$observer = null
| private

Referenced by get_observer(), and set_mode().

Conversation::$preview = false
| private

Referenced by __construct(), and is_preview().

Conversation::$profile_owner = 0
| private

Referenced by get_profile_owner().

Conversation::$threads = array()
| private

Conversation::$writable = false
| private

Referenced by add_thread(), and is_writable().

The documentation for this class was generated from the following file:

- include/ConversationObject.php